curl --request GET \
--url https://web-api.clerk.chat/public/pipelines/{pipelineId}/executions/{executionId} \
--header 'apiKey: <api-key>'import requests
url = "https://web-api.clerk.chat/public/pipelines/{pipelineId}/executions/{executionId}"
headers = {"apiKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>'}};
fetch('https://web-api.clerk.chat/public/pipelines/{pipelineId}/executions/{executionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://web-api.clerk.chat/public/pipelines/{pipelineId}/executions/{executionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"apiKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://web-api.clerk.chat/public/pipelines/{pipelineId}/executions/{executionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://web-api.clerk.chat/public/pipelines/{pipelineId}/executions/{executionId}")
.header("apiKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://web-api.clerk.chat/public/pipelines/{pipelineId}/executions/{executionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["apiKey"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "00000000-0000-0000-0000-000000000000",
"pipelineId": "00000000-0000-0000-0000-000000000000",
"pipelineVersionId": "00000000-0000-0000-0000-000000000000",
"status": "success",
"pipelineName": "My Agent",
"pipelineVersionNumber": 1,
"startedAt": "2021-01-01T00:00:00.000Z",
"finishedAt": "2021-01-01T00:00:01.000Z",
"error": "<string>",
"aiTokensUsed": 512,
"nodesStarted": 3,
"conversationHistory": {},
"contactDetails": {},
"environment": {},
"triggeredBy": "message_received",
"triggeredByEntityId": "00000000-0000-0000-0000-000000000000",
"conversationId": "00000000-0000-0000-0000-000000000000",
"nodesExecuted": [
{
"nodeName": "Greeting",
"node": {
"id": "1",
"name": "Greeting",
"staticId": "1",
"isGoal": false,
"goalName": "Booked appointment"
},
"id": "00000000-0000-0000-0000-000000000000",
"startedAt": "2021-01-01T00:00:00.000Z",
"finishedAt": "2021-01-01T00:00:01.000Z",
"status": "success",
"errorMessage": "<string>",
"aiTokensUsed": 128,
"input": {},
"output": {}
}
],
"pipelineMessages": [
{
"sourceNode": {
"id": "1",
"name": "Greeting",
"staticId": "1",
"isGoal": false,
"goalName": "Booked appointment"
},
"id": "00000000-0000-0000-0000-000000000000",
"content": {},
"messageType": "text",
"sourceNodeExecutionId": "00000000-0000-0000-0000-000000000000",
"created": "2021-01-01T00:00:00.000Z",
"destinations": {}
}
]
}Get a pipeline execution
Get full details of a single pipeline execution
curl --request GET \
--url https://web-api.clerk.chat/public/pipelines/{pipelineId}/executions/{executionId} \
--header 'apiKey: <api-key>'import requests
url = "https://web-api.clerk.chat/public/pipelines/{pipelineId}/executions/{executionId}"
headers = {"apiKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>'}};
fetch('https://web-api.clerk.chat/public/pipelines/{pipelineId}/executions/{executionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://web-api.clerk.chat/public/pipelines/{pipelineId}/executions/{executionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"apiKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://web-api.clerk.chat/public/pipelines/{pipelineId}/executions/{executionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://web-api.clerk.chat/public/pipelines/{pipelineId}/executions/{executionId}")
.header("apiKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://web-api.clerk.chat/public/pipelines/{pipelineId}/executions/{executionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["apiKey"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "00000000-0000-0000-0000-000000000000",
"pipelineId": "00000000-0000-0000-0000-000000000000",
"pipelineVersionId": "00000000-0000-0000-0000-000000000000",
"status": "success",
"pipelineName": "My Agent",
"pipelineVersionNumber": 1,
"startedAt": "2021-01-01T00:00:00.000Z",
"finishedAt": "2021-01-01T00:00:01.000Z",
"error": "<string>",
"aiTokensUsed": 512,
"nodesStarted": 3,
"conversationHistory": {},
"contactDetails": {},
"environment": {},
"triggeredBy": "message_received",
"triggeredByEntityId": "00000000-0000-0000-0000-000000000000",
"conversationId": "00000000-0000-0000-0000-000000000000",
"nodesExecuted": [
{
"nodeName": "Greeting",
"node": {
"id": "1",
"name": "Greeting",
"staticId": "1",
"isGoal": false,
"goalName": "Booked appointment"
},
"id": "00000000-0000-0000-0000-000000000000",
"startedAt": "2021-01-01T00:00:00.000Z",
"finishedAt": "2021-01-01T00:00:01.000Z",
"status": "success",
"errorMessage": "<string>",
"aiTokensUsed": 128,
"input": {},
"output": {}
}
],
"pipelineMessages": [
{
"sourceNode": {
"id": "1",
"name": "Greeting",
"staticId": "1",
"isGoal": false,
"goalName": "Booked appointment"
},
"id": "00000000-0000-0000-0000-000000000000",
"content": {},
"messageType": "text",
"sourceNodeExecutionId": "00000000-0000-0000-0000-000000000000",
"created": "2021-01-01T00:00:00.000Z",
"destinations": {}
}
]
}Authorizations
Path Parameters
The ID of the pipeline
The ID of the pipeline execution
Response
The pipeline execution
Represents a full pipeline execution, including node executions and messages
The ID of the pipeline execution
"00000000-0000-0000-0000-000000000000"
The ID of the pipeline (agent)
"00000000-0000-0000-0000-000000000000"
The ID of the pipeline version that was executed
"00000000-0000-0000-0000-000000000000"
The status of the execution
new, running, paused, success, failed "success"
The name of the pipeline (agent)
"My Agent"
The version number that was executed
1
When the execution started
"2021-01-01T00:00:00.000Z"
When the execution finished
"2021-01-01T00:00:01.000Z"
The error message if the execution failed
The number of AI tokens used during the execution
512
The number of nodes started during the execution
3
The conversation history captured during the execution
Details about the contact associated with the execution
The environment variables available to the execution
What triggered the execution
"message_received"
The ID of the entity that triggered the execution
"00000000-0000-0000-0000-000000000000"
The ID of the conversation associated with the execution
"00000000-0000-0000-0000-000000000000"
The node executions, ordered by start time
Show child attributes
Show child attributes
The messages produced during the execution, ordered by creation time
Show child attributes
Show child attributes